Crazy Eddies GUI System: CEGUI::RenderedStringImageComponent Class Reference

Crazy Eddies GUI System 0.7.6

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes
CEGUI::RenderedStringImageComponent Class Reference

String component that draws an image. More...

Inheritance diagram for CEGUI::RenderedStringImageComponent:
[legend]
Collaboration diagram for CEGUI::RenderedStringImageComponent:
[legend]

List of all members.

## Public Member Functions
| RenderedStringImageComponent ()
| Constructor.
| RenderedStringImageComponent (const String &imageset, const String &image)
| RenderedStringImageComponent (const Image *image)
void | setImage (const String &imageset, const String &image)
| Set the image to be drawn by this component.
void | setImage (const Image *image)
| Set the image to be drawn by this component.
const Image * | getImage () const
| return the current set image that will be drawn by this component
void | setColours (const ColourRect &cr)
| Set the colour values used when rendering this component.
void | setColours (const colour &c)
| Set the colour values used when rendering this component.
const ColourRect & | getColours () const
| return the ColourRect object used when drawing this component.
void | setSize (const Size &sz)
| set the size for rendering the image (0s mean 'normal' size)
const Size & | getSize () const
| return the size for rendering the image (0s mean 'normal' size)
void | draw (GeometryBuffer &buffer, const Vector2 &position, const ColourRect *mod_colours, const Rect *clip_rect, const float vertical_space, const float space_extra) const
| draw the component.
Size | getPixelSize () const
| return the pixel size of the rendered component.
bool | canSplit () const
| return whether the component can be split
RenderedStringImageComponent * | split (float split_point, bool first_component)
| split the component as close to split_point as possible, returning a new RenderedStringComponent of the same type as '*this' holding the left side of the split, and leaving the right side of the split in this object.
RenderedStringImageComponent * | clone () const
| clone this component.
size_t | getSpaceCount () const
| return the total number of spacing characters in the string.
## Protected Attributes
const Image * | d_image
| pointer to the image drawn by the component.
ColourRect | d_colours
| ColourRect object describing the colours to use when rendering.
Size | d_size
| target size to render the image at (0s mean natural size)

## Detailed Description

String component that draws an image.

## Member Function Documentation

RenderedStringImageComponent* CEGUI::RenderedStringImageComponent::split | ( | float | split_point,
|  | bool | first_component
| ) |  | `[virtual]`

split the component as close to split_point as possible, returning a new RenderedStringComponent of the same type as '*this' holding the left side of the split, and leaving the right side of the split in this object.

Exceptions:

  InvalidRequestException | thrown if the RenderedStringComponent does not support being split.

Implements CEGUI::RenderedStringComponent.